Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | List of all members
ToUpperCase Struct Reference

Converts input chars to upper case. More...

`#include <other_codecs.h>`

Inheritance diagram for ToUpperCase:

## Public Member Functions

template<typename OutIt>
void | process (char c, OutIt &out)
const char * | name () const
Public Member Functions inherited from unbuffered_codec
template<typename OutIt>
void | flush (OutIt &)
Public Member Functions inherited from codec
virtual double | codeSizeMultiplier () const

## Additional Inherited Members

Public Types inherited from unbuffered_codec
typedef unbuffered_codec_type_tag | codec_type
Public Types inherited from codec
typedef unsigned char | char_type

## Detailed Description

Converts input chars to upper case.

See also
  encode decode

## Member Function Documentation

## ◆ name()

const char * name | ( |  | ) | const

inline virtual

Implements codec.

The documentation for this struct was generated from the following file:

- other_codecs.h